#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libdom
Version		:	0.4.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Implementation of the W3C DOM

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.netsurf-browser.org/libs/releases/

Source0		:	%{name}-%{version}-src.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	gcc
BuildRequires	:	libhubbub-devel
BuildRequires	:	libparserutils-devel
BuildRequires	:	libwapcaplet-devel
BuildRequires	:	make
BuildRequires	:	netsurf-buildsystem

#-----------------------------------------------------------------------------
%description
%{summary}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.0*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_includedir}/dom/bindings/hubbub/*.h
%{_includedir}/dom/bindings/xml/*.h
%{_includedir}/dom/core/*.h
%{_includedir}/dom/events/*.h
%{_includedir}/dom/html/*.h
%{_includedir}/dom/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		doc

Summary		:	Documentation of %{name} API

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
The %{name}-doc package contains documentation files
for %{name}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root, -)
%license COPYING
%doc docs/html

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__make}						\
	%{_smp_mflags}					\
	PREFIX=%{_prefix}				\
	COMPONENT_TYPE=lib-shared			\

%{__make}						\
	%{_smp_mflags}					\
	PREFIX=%{_prefix}				\
	COMPONENT_TYPE=lib-shared			\
	docs

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PREFIX=%{_prefix}				\
	DESTDIR=%{buildroot}				\
	COMPONENT_TYPE=lib-shared			\
	install

#-----------------------------------------------------------------------------
%changelog
